/*
 *  TMC2041_Mask_Shift.h
 *  Author: LK
 *  Generated by MaskShiftConverter (unchecked)
 */

#ifndef TMC2041_MASK_SHIFT_H
#define TMC2041_MASK_SHIFT_H

	// GCONF
	#define TMC2041_POSCMP_ENABLE_MASK   0x00000008  //
	#define TMC2041_POSCMP_ENABLE_SHIFT  3           // min: 0, max: 1, default: 0
	#define TMC2041_TEST_MODE_MASK       0x00000080  //
	#define TMC2041_TEST_MODE_SHIFT      7           // min: 0, max: 1, default: 0
	#define TMC2041_SHAFT1_MASK          0x00000100  //
	#define TMC2041_SHAFT1_SHIFT         8           // min: 0, max: 1, default: 0
	#define TMC2041_SHAFT2_MASK          0x00000200  //
	#define TMC2041_SHAFT2_SHIFT         9           // min: 0, max: 1, default: 0
	#define TMC2041_LOCK_GCONF_MASK      0x00000400  //
	#define TMC2041_LOCK_GCONF_SHIFT     10          // min: 0, max: 1, default: 0
	// GSTAT
	#define TMC2041_RESET_MASK           0x00000001  //
	#define TMC2041_RESET_SHIFT          0           // min: 0, max: 1, default: 0
	#define TMC2041_DRV_ERR1_MASK        0x00000002  //
	#define TMC2041_DRV_ERR1_SHIFT       1           // min: 0, max: 1, default: 0
	#define TMC2041_DRV_ERR2_MASK        0x00000004  //
	#define TMC2041_DRV_ERR2_SHIFT       2           // min: 0, max: 1, default: 0
	#define TMC2041_UV_CP_MASK           0x00000008  //
	#define TMC2041_UV_CP_SHIFT          3           // min: 0, max: 1, default: 0
	// IFCNT
	#define TMC2041_IFCNT_MASK           0x000000FF  // Interface transmission counter. This register becomes incremented with each successful UART interface write access. Read out to check the serial transmission for lost data. Read accesses do not change the content. The counter wraps around from 255 to 0.
	#define TMC2041_IFCNT_SHIFT          0           // min: 0, max: 255, default: 0
	// INPUT
	#define TMC2041_DRV_ENN_MASK         0x00000080  //
	#define TMC2041_DRV_ENN_SHIFT        7           // min: 0, max: 1, default: 0
	#define TMC2041_VERSION_MASK         0xFF000000  // VERSION: 0x01=first version of the IC; Identical numbers mean full digital compatibility.
	#define TMC2041_VERSION_SHIFT        24          // min: 0, max: 255, default: 0
	// IHOLD_IRUN
	#define TMC2041_IHOLD_MASK           0x0000001F  // Standstill current (0=1/32...31=32/32)
	#define TMC2041_IHOLD_SHIFT          0           // min: 0, max: 31, default: 0
	#define TMC2041_IRUN_MASK            0x00001F00  // Motor run current (0=1/32...31=32/32) Hint: Choose sense resistors in a way, that normal IRUN is 16 to 31 for best microstep performance.
	#define TMC2041_IRUN_SHIFT           8           // min: 0, max: 31, default: 0
	#define TMC2041_IHOLDDELAY_MASK      0x000F0000  // Controls the number of clock cycles for motor power down after standstill is detected (stst=1) and TPOWERDOWN has expired. The smooth transition avoids a motor jerk upon power down. 0: instant power down 1..15: Delay per current reduction step in multiple of 2^18 clocks
	#define TMC2041_IHOLDDELAY_SHIFT     16          // min: 0, max: 15, default: 0
	// MSCNT
	#define TMC2041_MSCNT_MASK           0x000003FF  // Microstep counter. Indicates actual position in the microstep table for CUR_A. CUR_B uses an offset of 256 (2 phase motor). Hint: Move to a position where MSCNT is zero before re-initializing MSLUTSTART or MSLUT and MSLUTSEL.
	#define TMC2041_MSCNT_SHIFT          0           // min: 0, max: 1023, default: 0
	// MSCURACT
	#define TMC2041_CUR_A_MASK           0x000001FF  // Actual microstep current for motor phase A as read from MSLUT (not scaled by current)
	#define TMC2041_CUR_A_SHIFT          0           // min: -256, max: 255, default: 0
	#define TMC2041_CUR_B_MASK           0x01FF0000  // Actual microstep current for motor phase B as read from MSLUT (not scaled by current)
	#define TMC2041_CUR_B_SHIFT          16          // min: -256, max: 255, default: 0
	// CHOPCONF
	#define TMC2041_TOFF_MASK            0x0000000F  // off time and driver enable
	#define TMC2041_TOFF_SHIFT           0           // min: 0, max: 15, default: 0
	#define TMC2041_HSTRT_MASK           0x00000070  // [chm = 0] hysteresis start value added to HEND; Attention: Effective HEND+HSTRT less than or equal to 16. Hint: Hysteresis decrement is done each 16 clocks
	#define TMC2041_HSTRT_SHIFT          4           // min: 0, max: 7, default: 0
	#define TMC2041_TFD_ALL_MASK         0x00000070  // [chm = 1] fast decay time setting
	#define TMC2041_TFD_ALL_SHIFT        4           // min: 0, max: 7, default: 0
	#define TMC2041_HEND_MASK            0x00000780  // [chm = 0] hysteresis low value
	#define TMC2041_HEND_SHIFT           7           // min: 0, max: 15, default: 0
	#define TMC2041_OFFSET_MASK          0x00000780  // [chm = 1] sine wave offset
	#define TMC2041_OFFSET_SHIFT         7           // min: 0, max: 15, default: 0
	#define TMC2041_TFD_3_MASK           0x00000800  // MSB of fast decay time setting
	#define TMC2041_TFD_3_SHIFT          11          // min: 0, max: 1, default: 0
	#define TMC2041_DISFDCC_MASK         0x00001000  // fast decay mode
	#define TMC2041_DISFDCC_SHIFT        12          // min: 0, max: 1, default: 0
	#define TMC2041_RNDTF_MASK           0x00002000  // random TOFF time
	#define TMC2041_RNDTF_SHIFT          13          // min: 0, max: 1, default: 0
	#define TMC2041_CHM_MASK             0x00004000  // chopper mode
	#define TMC2041_CHM_SHIFT            14          // min: 0, max: 1, default: 0
	#define TMC2041_TBL_MASK             0x00018000  // blank time select
	#define TMC2041_TBL_SHIFT            15          // min: 0, max: 3, default: 0
	#define TMC2041_VSENSE_MASK          0x00020000  // sense resistor voltage based current scaling
	#define TMC2041_VSENSE_SHIFT         17          // min: 0, max: 1, default: 0
	#define TMC2041_VHIGHFS_MASK         0x00040000  // high velocity fullstep selection
	#define TMC2041_VHIGHFS_SHIFT        18          // min: 0, max: 1, default: 0
	#define TMC2041_VHIGHCHM_MASK        0x00080000  // high velocity chopper mode
	#define TMC2041_VHIGHCHM_SHIFT       19          // min: 0, max: 1, default: 0
	#define TMC2041_SYNC_MASK            0x00F00000  // PWM synchronization clock
	#define TMC2041_SYNC_SHIFT           20          // min: 0, max: 15, default: 0
	#define TMC2041_MRES_MASK            0x0F000000  // Microstep Resolution (manually added)
	#define TMC2041_MRES_SHIFT           24          // min: 1, max: 256, default: 256
	#define TMC2041_DISS2G_MASK          0x40000000  // short to GND protection disable
	#define TMC2041_DISS2G_SHIFT         30          // min: 0, max: 1, default: 0
	// COOLCONF
	#define TMC2041_SEMIN_MASK           0x0000000F  // minimum stallGuard2 value - If the stallGuard2 result falls below SEMIN*32, the motor current becomes increased to reduce motor load angle. 0: smart current control coolStep off
	#define TMC2041_SEMIN_SHIFT          0           // min: 0, max: 15, default: 0
	#define TMC2041_SEUP_MASK            0x00000060  // Current increment steps per measured stallGuard2 value
	#define TMC2041_SEUP_SHIFT           5           // min: 0, max: 3, default: 0
	#define TMC2041_SEMAX_MASK           0x00000F00  // stallGuard2 hysteresis value - If the stallGuard2 result is equal to or above (SEMIN+SEMAX+1)*32, the motor current becomes decreased to save energy.
	#define TMC2041_SEMAX_SHIFT          8           // min: 0, max: 15, default: 0
	#define TMC2041_SEDN_MASK            0x00006000  // Current down step speed; For each n stallGuard2 values decrease by one
	#define TMC2041_SEDN_SHIFT           13          // min: 0, max: 3, default: 0
	#define TMC2041_SEIMIN_MASK          0x00008000  // minimum current for smart current control
	#define TMC2041_SEIMIN_SHIFT         15          // min: 0, max: 1, default: 0
	#define TMC2041_SGT_MASK             0x007F0000  // stallGuard2 threshold value This signed value controls stallGuard2 level for stall output and sets the optimum measurement range for readout. A lower value gives a higher sensitivity. Zero is the starting value working with most motors. A higher value makes stallGuard2 less sensitive and requires more torque to indicate a stall.
	#define TMC2041_SGT_SHIFT            16          // min: -64, max: 63, default: 0
	#define TMC2041_SFILT_MASK           0x01000000  // stallGuard2 filter enable
	#define TMC2041_SFILT_SHIFT          24          // min: 0, max: 1, default: 0
	// DRV_STATUS
	#define TMC2041_SG_RESULT_MASK       0x000003FF  // Mechanical load measurement: The stallGuard2 result gives a means to measure mechanical motor load. A higher value means lower mechanical load. A value of 0 signals highest load. With optimum SGT setting, this is an indicator for a motor stall. The stall detection compares SG_RESULT to 0 in order to detect a stall. SG_RESULT is used as a base for coolStep operation, by comparing it to a programmable upper and a lower limit. It is not applicable in stealthChop mode. SG_RESULT is ALSO applicable when dcStep is active. stallGuard2 works best with microstep operation. Temperature measurement: In standstill, no stallGuard2 result can be obtained. SG_RESULT shows the chopper on-time for motor coil A instead. If the motor is moved to a determined microstep position at a certain current setting, a comparison of the chopper on-time can help to get a rough estimation of motor temperature. As the motor heats up, its coil resistance rises and the chopper on-time increases.
	#define TMC2041_SG_RESULT_SHIFT      0           // min: 0, max: 511, default: 0
	#define TMC2041_FSACTIVE_MASK        0x00008000  //
	#define TMC2041_FSACTIVE_SHIFT       15          // min: 0, max: 1, default: 0
	#define TMC2041_CS_ACTUAL_MASK       0x001F0000  //
	#define TMC2041_CS_ACTUAL_SHIFT      16          // min: 0, max: 31, default: 0
	#define TMC2041_STALLGUARD_MASK      0x01000000  //
	#define TMC2041_STALLGUARD_SHIFT     24          // min: 0, max: 1, default: 0
	#define TMC2041_OT_MASK              0x02000000  //
	#define TMC2041_OT_SHIFT             25          // min: 0, max: 1, default: 0
	#define TMC2041_OTPW_MASK            0x04000000  //
	#define TMC2041_OTPW_SHIFT           26          // min: 0, max: 1, default: 0
	#define TMC2041_S2GA_MASK            0x08000000  //
	#define TMC2041_S2GA_SHIFT           27          // min: 0, max: 1, default: 0
	#define TMC2041_S2GB_MASK            0x10000000  //
	#define TMC2041_S2GB_SHIFT           28          // min: 0, max: 1, default: 0
	#define TMC2041_OLA_MASK             0x20000000  //
	#define TMC2041_OLA_SHIFT            29          // min: 0, max: 1, default: 0
	#define TMC2041_OLB_MASK             0x40000000  //
	#define TMC2041_OLB_SHIFT            30          // min: 0, max: 1, default: 0
	#define TMC2041_STST_MASK            0x80000000  //
	#define TMC2041_STST_SHIFT           31          // min: 0, max: 1, default: 0

#endif /* TMC2041_MASK_SHIFT_H */
